Bug 1010968 - CLI scripts mean information is left in zip files
CLI scripts mean information is left in zip files
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER4
: ---
Assigned To: Thomas Hauser
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 08:07 EDT by Nick Cross
Modified: 2014-02-06 10:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Cross 2013-09-23 08:07:02 EDT
When the installer creates the installation the server in admin mode writes out user information in logging.properties and server.log. 

Can it erase server.log once it is finished?
For logging.properties, can it save the original and write it back after doing the cli scripts? Or put back the original EAP value of "handler.FILE.fileName=${org.jboss.boot.log.file:boot.log}" ?
Comment 2 Thomas Hauser 2013-09-24 08:56:27 EDT
This behavior is added in http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=b2ed3a04e57533146436eafb1d91301438a16652

It can be cherry-picked into beta builds if needed.
Comment 6 Len DiMaggio 2013-12-16 14:36:06 EST
Verified in ER7-2

Note You need to log in before you can comment on or make changes to this bug.